package com.sw.mes.eam.service;

import com.sw.mes.base.factory.init.entity.Equipment;
import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.outside.dto.ToMESData;
import com.xxl.job.core.biz.model.ReturnT;

/**
 * @Author: xushu
 * @Date: 2024/02/24/15:15
 * @Description:
 */
@Jinko(value="晶科MES传输至eam操作Service接口",author = "xushu")
public interface MesToEamService {
    ReturnT<String> syncEquipment();

    void syncEquipmentWarningInfo(ToMESData data);

    void syncEquipmentStatus(Equipment equipment);
}
